diff -r 9026852775e1 docs/install_jython.txt
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/docs/install_jython.txt	Thu Aug 14 17:16:41 2008 -0400
@@ -0,0 +1,57 @@
+===============================
+How to install Django on Jython
+===============================
+
+This document will get you up and running with Django on top of Jython.
+
+Install Jython
+==============
+
+Django works with Jython versions 2.5 and higher. The 2.5a2+ release will be be
+the first in which Django will work out of the box. You can also grab the
+development version from the subversion repository.
+
+Get the official releases from <http://www.jython.org>.
+
+Install a servlet container
+===========================
+
+If you just want to experiment with Django, skip ahead to the next
+section; Django includes a lightweight Web server you can use for
+testing, so you won't need to set up anything else until you're ready to
+deploy Django in production.
+
+If you want to use Django on a production site, use a Java servlet container,
+such as `Apache Tomcat`_. Full JavaEE applications servers such as `GlassFish`_
+or `JBoss`_ are also OK, if you need the extra features they include.
+
+.. _`Apache Tomcat`: http://tomcat.apache.org/
+.. _GlassFish: https://glassfish.dev.java.net/
+.. _JBoss: http://www.jboss.org/
+
+Remove any old versions of Django
+=================================
+
+XXX: It's the same as documented on ../install, after the obvious
+s/python/jython replacement. Should we link to that? Do some sort of include?
+
+Install the Django code
+=======================
+
+XXX: Again, the same as documented on ../install.
+
+Install django-jython
+=====================
+
+The `django-jython`_ project contains database backends and management commands
+for Django/Jython development. Note that the builtin Django backends won't work
+on top of Jython.
+
+.. _`django-jython`: http://code.google.com/p/django-jython/
+
+To install it, follow the `installation instructions`_ detailed on the project
+website. Also chekc the `database backends`_ documentation there.
+
+.. _`installation instructions`: http://code.google.com/p/django-jython/wiki/Install
+.. _`database backends`: http://code.google.com/p/django-jython/wiki/DatabaseBackends
+
diff -r 9026852775e1 docs/tutorial01.txt
--- a/docs/tutorial01.txt	Wed Aug 13 20:55:25 2008 -0400
+++ b/docs/tutorial01.txt	Thu Aug 14 17:16:41 2008 -0400
@@ -18,6 +18,27 @@
 installed.
 
 .. _`Django installed`: ../install/
+
+.. admonition:: Django on Jython
+
+    If you are trying Django with `Jython`_ (a Python implementation for the
+    Java Virtual Machine), that's OK: The vast majority Django components work
+    fine under Jython. In fact, you can follow all this tutorial using it. When
+    doing *copy-and-paste*, don't forget to replace every ``python`` command with
+    ``jython``, and the ``PYTHONPATH`` environment variable with ``JYTHONPATH``.
+
+    You will also find useful to grab the `django-jython`_ integration code. It
+    includes management extensions and database backends for JDBC (Django
+    builtin database backends won't work). For more information, look at the
+    `Django on Jython installation`_ notes.
+
+    Make sure that you are using a Jython version of the 2.5 release series (svn
+    revisions and alphas releases since 2.5a2+ should be OK). Django won't work
+    with Jython 2.2.x releases.
+
+.. _`Jython`: http://www.jython.org
+.. _`django-jython`: http://code.google.com/p/django-jython
+.. _`django on jython installation`. ../install_jython/
 
 .. admonition:: Where to get help:
 
@@ -42,7 +63,7 @@
 will create a ``mysite`` directory in your current directory.
 
 .. admonition:: Mac OS X permissions
-   
+
    If you're using Mac OS X, you may see the message "permission
    denied" when you try to run ``django-admin.py startproject``. This
    is because, on Unix-based systems like OS X, a file must be marked
@@ -146,7 +167,7 @@
     * ``DATABASE_ENGINE`` -- Either 'postgresql_psycopg2', 'mysql' or 'sqlite3'.
       Other backends are `also available`_.
     * ``DATABASE_NAME`` -- The name of your database, or the full (absolute)
-      path to the database file if you're using SQLite. 
+      path to the database file if you're using SQLite.
     * ``DATABASE_USER`` -- Your database username (not used for SQLite).
     * ``DATABASE_PASSWORD`` -- Your database password (not used for SQLite).
     * ``DATABASE_HOST`` -- The host your database is on. Leave this as an