Index: django/conf/locale/bg/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/bg/LC_MESSAGES/django.po	(revision 8445)
+++ django/conf/locale/bg/LC_MESSAGES/django.po	(working copy)
@@ -3204,7 +3204,7 @@
 
 #: contrib/localflavor/nl/nl_provinces.py:4
 #: django/contrib/localflavor/nl/nl_provinces.py:4
-msgid "Drente"
+msgid "Drenthe"
 msgstr ""
 
 #: contrib/localflavor/nl/nl_provinces.py:5
Index: django/conf/locale/ca/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/ca/LC_MESSAGES/django.po	(revision 8445)
+++ django/conf/locale/ca/LC_MESSAGES/django.po	(working copy)
@@ -2659,8 +2659,8 @@
 msgstr "Introduïu un número SoFi vàlid."
 
 #: contrib/localflavor/nl/nl_provinces.py:4
-msgid "Drente"
-msgstr "Drente"
+msgid "Drenthe"
+msgstr "Drenthe"
 
 #: contrib/localflavor/nl/nl_provinces.py:5
 msgid "Flevoland"
Index: django/conf/locale/da/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/da/LC_MESSAGES/django.po	(revision 8445)
+++ django/conf/locale/da/LC_MESSAGES/django.po	(working copy)
@@ -2765,7 +2765,7 @@
 msgstr ""
 
 #: contrib/localflavor/nl/nl_provinces.py:4
-msgid "Drente"
+msgid "Drenthe"
 msgstr ""
 
 #: contrib/localflavor/nl/nl_provinces.py:5
Index: django/conf/locale/de/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/de/LC_MESSAGES/django.po	(revision 8445)
+++ django/conf/locale/de/LC_MESSAGES/django.po	(working copy)
@@ -2816,8 +2816,8 @@
 msgstr "Bitte eine gültige SoFi-Nummer eingeben."
 
 #: contrib/localflavor/nl/nl_provinces.py:4
-msgid "Drente"
-msgstr "Drente"
+msgid "Drenthe"
+msgstr "Drenthe"
 
 #: contrib/localflavor/nl/nl_provinces.py:5
 msgid "Flevoland"
Index: django/conf/locale/en/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/en/LC_MESSAGES/django.po	(revision 8445)
+++ django/conf/locale/en/LC_MESSAGES/django.po	(working copy)
@@ -2397,7 +2397,7 @@
 msgstr ""
 
 #: contrib/localflavor/nl/nl_provinces.py:4
-msgid "Drente"
+msgid "Drenthe"
 msgstr ""
 
 #: contrib/localflavor/nl/nl_provinces.py:5
Index: django/conf/locale/es/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/es/LC_MESSAGES/django.po	(revision 8445)
+++ django/conf/locale/es/LC_MESSAGES/django.po	(working copy)
@@ -2595,8 +2595,8 @@
 msgstr "Introduzca un número SoFi válido"
 
 #: contrib/localflavor/nl/nl_provinces.py:4
-msgid "Drente"
-msgstr "Drente"
+msgid "Drenthe"
+msgstr "Drenthe"
 
 #: contrib/localflavor/nl/nl_provinces.py:5
 msgid "Flevoland"
Index: django/conf/locale/es_AR/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/es_AR/LC_MESSAGES/django.po	(revision 8445)
+++ django/conf/locale/es_AR/LC_MESSAGES/django.po	(working copy)
@@ -2811,7 +2811,7 @@
 msgstr "Introduzca un número SoFi válido."
 
 #: contrib/localflavor/nl/nl_provinces.py:4
-msgid "Drente"
+msgid "Drenthe"
 msgstr "Drente"
 
 #: contrib/localflavor/nl/nl_provinces.py:5
Index: django/conf/locale/et/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/et/LC_MESSAGES/django.po	(revision 8445)
+++ django/conf/locale/et/LC_MESSAGES/django.po	(working copy)
@@ -2609,7 +2609,7 @@
 msgstr "Sisesta kehtiv SoFi number"
 
 #: contrib/localflavor/nl/nl_provinces.py:4
-msgid "Drente"
+msgid "Drenthe"
 msgstr "Drenthe"
 
 #: contrib/localflavor/nl/nl_provinces.py:5
Index: django/conf/locale/eu/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/eu/LC_MESSAGES/django.po	(revision 8445)
+++ django/conf/locale/eu/LC_MESSAGES/django.po	(working copy)
@@ -2553,7 +2553,7 @@
 msgstr ""
 
 #: contrib/localflavor/nl/nl_provinces.py:4
-msgid "Drente"
+msgid "Drenthe"
 msgstr ""
 
 #: contrib/localflavor/nl/nl_provinces.py:5
Index: django/conf/locale/fa/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/fa/LC_MESSAGES/django.po	(revision 8445)
+++ django/conf/locale/fa/LC_MESSAGES/django.po	(working copy)
@@ -2537,7 +2537,7 @@
 msgstr ""
 
 #: contrib/localflavor/nl/nl_provinces.py:4
-msgid "Drente"
+msgid "Drenthe"
 msgstr ""
 
 #: contrib/localflavor/nl/nl_provinces.py:5
Index: django/conf/locale/fi/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/fi/LC_MESSAGES/django.po	(revision 8445)
+++ django/conf/locale/fi/LC_MESSAGES/django.po	(working copy)
@@ -2843,7 +2843,7 @@
 msgstr "Syötä ikea SoFi-numero."
 
 #: contrib/localflavor/nl/nl_provinces.py:4
-msgid "Drente"
+msgid "Drenthe"
 msgstr ""
 
 #: contrib/localflavor/nl/nl_provinces.py:5
Index: django/conf/locale/fr/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/fr/LC_MESSAGES/django.po	(revision 8445)
+++ django/conf/locale/fr/LC_MESSAGES/django.po	(working copy)
@@ -2634,7 +2634,7 @@
 msgstr "Entrez un numero SoFi valide."
 
 #: contrib/localflavor/nl/nl_provinces.py:4
-msgid "Drente"
+msgid "Drenthe"
 msgstr "Drenthe"
 
 #: contrib/localflavor/nl/nl_provinces.py:5
Index: django/conf/locale/ga/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/ga/LC_MESSAGES/django.po	(revision 8445)
+++ django/conf/locale/ga/LC_MESSAGES/django.po	(working copy)
@@ -2749,7 +2749,7 @@
 msgstr ""
 
 #: contrib/localflavor/nl/nl_provinces.py:4
-msgid "Drente"
+msgid "Drenthe"
 msgstr ""
 
 #: contrib/localflavor/nl/nl_provinces.py:5
Index: django/conf/locale/he/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/he/LC_MESSAGES/django.po	(revision 8445)
+++ django/conf/locale/he/LC_MESSAGES/django.po	(working copy)
@@ -2598,7 +2598,7 @@
 msgstr "יש להזין מספר SoFi חוקי"
 
 #: contrib/localflavor/nl/nl_provinces.py:4
-msgid "Drente"
+msgid "Drenthe"
 msgstr "דרנתה"
 
 #: contrib/localflavor/nl/nl_provinces.py:5
Index: django/conf/locale/hr/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/hr/LC_MESSAGES/django.po	(revision 8445)
+++ django/conf/locale/hr/LC_MESSAGES/django.po	(working copy)
@@ -2607,8 +2607,8 @@
 msgstr "Unesite ispravan SoFi broj"
 
 #: contrib/localflavor/nl/nl_provinces.py:4
-msgid "Drente"
-msgstr "Drente"
+msgid "Drenthe"
+msgstr "Drenthe"
 
 #: contrib/localflavor/nl/nl_provinces.py:5
 msgid "Flevoland"
Index: django/conf/locale/is/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/is/LC_MESSAGES/django.po	(revision 8445)
+++ django/conf/locale/is/LC_MESSAGES/django.po	(working copy)
@@ -2527,7 +2527,7 @@
 msgstr ""
 
 #: contrib/localflavor/nl/nl_provinces.py:4
-msgid "Drente"
+msgid "Drenthe"
 msgstr ""
 
 #: contrib/localflavor/nl/nl_provinces.py:5
Index: django/conf/locale/it/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/it/LC_MESSAGES/django.po	(revision 8445)
+++ django/conf/locale/it/LC_MESSAGES/django.po	(working copy)
@@ -2773,8 +2773,8 @@
 msgstr "Inserisci un numero SoFi valido"
 
 #: contrib/localflavor/nl/nl_provinces.py:4
-msgid "Drente"
-msgstr "Drente"
+msgid "Drenthe"
+msgstr "Drenthe"
 
 #: contrib/localflavor/nl/nl_provinces.py:5
 msgid "Flevoland"
Index: django/conf/locale/ja/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/ja/LC_MESSAGES/django.po	(revision 8445)
+++ django/conf/locale/ja/LC_MESSAGES/django.po	(working copy)
@@ -2765,8 +2765,8 @@
 msgstr "社会税務番号(SoFi)を正しく入力してください。"
 
 #: contrib/localflavor/nl/nl_provinces.py:4
-msgid "Drente"
-msgstr "Drente"
+msgid "Drenthe"
+msgstr "Drenthe"
 
 #: contrib/localflavor/nl/nl_provinces.py:5
 msgid "Flevoland"
Index: django/conf/locale/ka/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/ka/LC_MESSAGES/django.po	(revision 8445)
+++ django/conf/locale/ka/LC_MESSAGES/django.po	(working copy)
@@ -2773,7 +2773,7 @@
 msgstr ""
 
 #: contrib/localflavor/nl/nl_provinces.py:4
-msgid "Drente"
+msgid "Drenthe"
 msgstr ""
 
 #: contrib/localflavor/nl/nl_provinces.py:5
Index: django/conf/locale/mk/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/mk/LC_MESSAGES/django.po	(revision 8445)
+++ django/conf/locale/mk/LC_MESSAGES/django.po	(working copy)
@@ -2632,7 +2632,7 @@
 msgstr "Внесете валиден осигурителен број"
 
 #: contrib/localflavor/nl/nl_provinces.py:4
-msgid "Drente"
+msgid "Drenthe"
 msgstr "Дренте"
 
 #: contrib/localflavor/nl/nl_provinces.py:5
Index: django/conf/locale/nl/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/nl/LC_MESSAGES/django.po	(revision 8445)
+++ django/conf/locale/nl/LC_MESSAGES/django.po	(working copy)
@@ -2798,8 +2798,8 @@
 msgstr "Geef een geldig Nederlands bankrekeningnummer op"
 
 #: contrib/localflavor/nl/nl_provinces.py:4
-msgid "Drente"
-msgstr "Drente"
+msgid "Drenthe"
+msgstr "Drenthe"
 
 #: contrib/localflavor/nl/nl_provinces.py:5
 msgid "Flevoland"
Index: django/conf/locale/pl/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/pl/LC_MESSAGES/django.po	(revision 8445)
+++ django/conf/locale/pl/LC_MESSAGES/django.po	(working copy)
@@ -2801,7 +2801,7 @@
 msgstr "Wpisz poprawny numer SoFi."
 
 #: contrib/localflavor/nl/nl_provinces.py:4
-msgid "Drente"
+msgid "Drenthe"
 msgstr "Drenthe"
 
 #: contrib/localflavor/nl/nl_provinces.py:5
Index: django/conf/locale/pt_BR/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/pt_BR/LC_MESSAGES/django.po	(revision 8445)
+++ django/conf/locale/pt_BR/LC_MESSAGES/django.po	(working copy)
@@ -2637,7 +2637,7 @@
 msgstr "Informe um número SoFi válido."
 
 #: contrib/localflavor/nl/nl_provinces.py:4
-msgid "Drente"
+msgid "Drenthe"
 msgstr ""
 
 #: contrib/localflavor/nl/nl_provinces.py:5
Index: django/conf/locale/ro/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/ro/LC_MESSAGES/django.po	(revision 8445)
+++ django/conf/locale/ro/LC_MESSAGES/django.po	(working copy)
@@ -2538,8 +2538,8 @@
 msgstr "Introduceti un numar SoFi valid"
 
 #: .\contrib\localflavor\nl\nl_provinces.py:4
-msgid "Drente"
-msgstr "Drente"
+msgid "Drenthe"
+msgstr "Drenthe"
 
 #: .\contrib\localflavor\nl\nl_provinces.py:5
 msgid "Flevoland"
Index: django/conf/locale/sr/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/sr/LC_MESSAGES/django.po	(revision 8445)
+++ django/conf/locale/sr/LC_MESSAGES/django.po	(working copy)
@@ -2701,7 +2701,7 @@
 
 #: contrib/localflavor/nl/nl_provinces.py:4
 #, fuzzy
-msgid "Drente"
+msgid "Drenthe"
 msgstr "Obrišite"
 
 #: contrib/localflavor/nl/nl_provinces.py:5
Index: django/conf/locale/sv/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/sv/LC_MESSAGES/django.po	(revision 8445)
+++ django/conf/locale/sv/LC_MESSAGES/django.po	(working copy)
@@ -2792,8 +2792,8 @@
 msgstr "Fyll i ett giltigt SoFi-nummer."
 
 #: contrib/localflavor/nl/nl_provinces.py:4
-msgid "Drente"
-msgstr "Drente"
+msgid "Drenthe"
+msgstr "Drenthe"
 
 #: contrib/localflavor/nl/nl_provinces.py:5
 msgid "Flevoland"
Index: tests/regressiontests/forms/localflavor/nl.py
===================================================================
--- tests/regressiontests/forms/localflavor/nl.py	(revision 8445)
+++ tests/regressiontests/forms/localflavor/nl.py	(working copy)
@@ -68,5 +68,5 @@
 >>> from django.contrib.localflavor.nl.forms import NLProvinceSelect
 >>> s = NLProvinceSelect()
 >>> s.render('provinces', 'OV')
-u'<select name="provinces">\n<option value="DR">Drente</option>\n<option value="FL">Flevoland</option>\n<option value="FR">Friesland</option>\n<option value="GL">Gelderland</option>\n<option value="GR">Groningen</option>\n<option value="LB">Limburg</option>\n<option value="NB">Noord-Brabant</option>\n<option value="NH">Noord-Holland</option>\n<option value="OV" selected="selected">Overijssel</option>\n<option value="UT">Utrecht</option>\n<option value="ZE">Zeeland</option>\n<option value="ZH">Zuid-Holland</option>\n</select>'
+u'<select name="provinces">\n<option value="DR">Drenthe</option>\n<option value="FL">Flevoland</option>\n<option value="FR">Friesland</option>\n<option value="GL">Gelderland</option>\n<option value="GR">Groningen</option>\n<option value="LB">Limburg</option>\n<option value="NB">Noord-Brabant</option>\n<option value="NH">Noord-Holland</option>\n<option value="OV" selected="selected">Overijssel</option>\n<option value="UT">Utrecht</option>\n<option value="ZE">Zeeland</option>\n<option value="ZH">Zuid-Holland</option>\n</select>'
 """